Bug 59034 - EDITING AutoCorrect's "Replace while modifying existing text" works only for Default style
Summary: EDITING AutoCorrect's "Replace while modifying existing text" works only for ...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard: target:7.2.0
Keywords:
: 61325 90172 (view as bug list)
Depends on:
Blocks: AutoCorrect-Complete
  Show dependency treegraph
 
Reported: 2013-01-04 19:51 UTC by Mirosław Zalewski
Modified: 2021-01-30 22:55 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mirosław Zalewski 2013-01-04 19:51:52 UTC
In Writer there are two checkboxes for each entry. They are labeled [M] and [T].

Apparently, [M] is for "do it when user chooses Format → AutoCorrect → Apply from menu".

BUT it does work only for paragraphs with Default style. So I wasted last two hours trying to figure it out, until I happened to read this old OOo forum topic: <http://forum.openoffice.org/en/forum/viewtopic.php?f=7&t=11777&p=55154>

At least, please state clearly in documentation that autocorrection elements with [m] checked will work only for Default style. I have read help files and LibreOffice Writer guide chapter about AutoCorrection. Neither has mentioned that.

As larger issue: why does it work only on Default style, anyway?
Choosing Format → AutoCorrect → Apply from menu will change style from Default to Text body. What is the point of having menu option that will work only once for paragraph (which may be modified later)?
Comment 1 V Stuart Foote 2018-03-31 07:52:35 UTC
*** Bug 90172 has been marked as a duplicate of this bug. ***
Comment 2 V Stuart Foote 2018-03-31 07:59:54 UTC
*** Bug 61325 has been marked as a duplicate of this bug. ***
Comment 3 Commit Notification 2021-01-25 22:06:52 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/67826012b8b84e43e92bb7e8111981e3c51fee13

Relevant to: tdf#59034  mention that [M] only applies to Default
Comment 4 sdc.blanco 2021-01-25 23:00:51 UTC
(In reply to Commit Notification from comment #3)
> Seth Chaiklin committed a patch related to this issue.
> Relevant to: tdf#59034  mention that [M] only applies to Default
The changes will appear in:
https://help.libreoffice.org/7.2/en-US/text/shared/01/06040100.html

but I already think that it is wrong ---

While it seems that most [M] options only work with "default" PS, there are some exceptions (possibly post 2013)

Tested with 7.2.0.0.alpha0+

*Only works with Default Paragraph Style*

- Use replacement table
- Correct TWo INitial CApitals
- Delete spaces and tabs at beginning and end of paragraph
- Combine single line paragraphs if length greater than..

*Works on many different Paragraph Styles.*

Replace blank paragraphs
Replace Custom Styles

Will have to test further and adjust the documentation accordingly. 
(or hope that someone with greater insight into the matter will speak up.)


(meanwhile, the OP is repro'ed with 7.2.0.0.alpha0+)
Comment 5 Commit Notification 2021-01-30 22:55:01 UTC
Seth Chaiklin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/help/commit/3bbed7c67947b8cb09343eb05a31a42aeff4a9c0

Relevant to: tdf#59034  which [M] options use non-Default PS